Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.xbl
Interface ShadowTreeEvent

All Superinterfaces:
  Event

All Known Implementing Classes:
  XBLOMShadowTreeEvent

    public interface ShadowTreeEvent

extends Event

Interface for shadow tree related events. Eventually will move to org.w3c.dom.xbl (or some such package).

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`XBLShadowTreeElement` | `getXblShadowTree()`
`void` | `initShadowTreeEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, XBLShadowTreeElement xblShadowTreeArg)`
`void` | `initShadowTreeEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, XBLShadowTreeElement xblShadowTreeArg)`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Method Detail

### getXblShadowTree

    XBLShadowTreeElement getXblShadowTree()

### initShadowTreeEvent

    void initShadowTreeEvent(String typeArg,
                             boolean canBubbleArg,
                             boolean cancelableArg,
                             XBLShadowTreeElement xblShadowTreeArg)

### initShadowTreeEventNS

    void initShadowTreeEventNS(String namespaceURIArg,
                               String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               XBLShadowTreeElement xblShadowTreeArg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.